package org.baeldung.event;

import java.util.Locale;

import org.baeldung.persistence.model.User;
import org.baeldung.web.controller.RegistrationController;
import org.springframework.context.ApplicationEvent;
import org.springframework.web.context.request.WebRequest;

@SuppressWarnings("serial")
public class OnRegistrationCompleteEvent extends ApplicationEvent {

    private final String appUrl;
    private final Locale locale;
    private final User user;

    public OnRegistrationCompleteEvent(User user, Locale locale, String appUrl) {
        super(user);
        this.user = user;
        this.locale = locale;
        this.appUrl = appUrl;
    }

    public String getAppUrl() {
        return appUrl;
    }

    public Locale getLocale() {
        return locale;
    }

    public User getUser() {
        return user;
    }
}
